function peaks = fillpeaks( outX, HGX )

eta00p = 2.828256478545521e-01;
aFSR = 9.099454808141757e+06;

indTab = [1,0,1; 2,1,0; 3,2,0; 3,0,2; 4,1,1; 5,3,0; 5,1,2; 6,2,1; 6,0,3; 7, 4,0; 7,2,2; 7,0,4; 8,3,1;8,1,3];
peaks = zeros( size(indTab,1), 2 );
for itab = 1 : size(peaks,1)
    [peaks(itab,1), peaks(itab,2)] = peakpos( outX{indTab(itab,1)}(:,1), HGX{indTab(itab,1)}(:,indTab(itab,2)+1,indTab(itab,3)+1) );
    peaks(itab,3) = indTab(itab,2); peaks(itab,4) = indTab(itab,3);
end

peaks(:,5) = peaks(:,1) / aFSR;
peaks(:,6) = peaks(:,5) - eta00p*(peaks(:,3)+peaks(:,4));

