function dat = runFPall(n, HGmode)

if ~exist( 'HGmode' )
    HGmode = 1;
end
arm = {'LLOX', 'LLOY', 'LHOX', 'LHOY'};
tiltAngle = (0:6)*5e-8;

for iarm = 1 : 4
    fp = FPIFOv( 'ARM', arm{iarm}, 'removeTilt', false );
    for itilt = 1 : 7
        dat(iarm, itilt) = runFPHG1( fp, tiltAngle(itilt), n, itilt==1, HGmode );
    end
end

