function y = ysingle( r, w, y0, alpha, beta )

L = 4000;
b = sqrt( L * 1.064e-6 / 2 / pi );
xi = w / b;
rho = xi^2/2*(xi^2/2 - sqrt(xi^4/4-1));
x = r / b;
z = x.^2 / (2*rho*y0);
y = y0*(1-exp(-z-alpha*z.^2-beta*z.^3));
