% cavity length
Lcav = 3994.5;

% aperture
ATM = 0.326;
dTM = 0.2;

% optics
ITMRoC = 1934;
ETMRoC = 2245;
TITM = 0.014;
TETM = 5e-6;
Loss_I_HR = 10e-6;
Loss_E_HR = 10e-6;
Loss_I_AR = 50e-6;

ITMmap = 'ITM04_CITZygo.dat';
ETMmap = 'ETM07_CIT.dat';

% if you want to forget the curvature mismatch issue, set 1
removeCurvature = 0;
% number of FFT grid is adjusted to make sure the bin size is
% smaller than this resolution
resolution = 2e-3;

% modify maps
mapMul = 1;
% tilt of mirrors
tiltI = 0;
tiltE = 0;
